Skip to Content
SeyloDocs

List a repository's branches

GET
/api/v1/github.branches

Lists the branches of a repository through the App, default branch first.

Needs services.create on the project. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
installationId*string

Panel-issued id.

Match^[a-z0-9]{16}$
repo*string
Match^[A-Za-z0-9_.-]+/[A-Za-z0-9_.-]+$
query?string
Lengthlength <= 100

Response Body

Success.

application/json
  1. response
branches*array<string>
defaultBranch*string
Example Request
curl -X GET 'https://example.com/api/v1/github.branches?projectId=string&installationId=string&repo=string'
Example Response
{  "branches": [    "string"  ],  "defaultBranch": "string"}